

package gov.va.med.cds.persistence.hibernate.common;


public class LabTestsParsedFromGlobal
{

    private String labTestPointer;
    private String observationValue;
    private String orderedTestCode;
    private String testIdentifier;
    private String referenceHigh;
    private String referenceLow;
    private String criticalHigh;
    private String criticalLow;
    private String unitsOfMeasure;
    private String siteSpecimen;
    private String valueInterpretation;
    private String nltOrderedTestCode;
    private String nltReportedTestCode;
    private String loincCode;
    private String suffixReportedTestCode;
    private String perormanceOrgCode;
    private String verifier;
    private String partOfPanelTest;
    private boolean panelTest;
    private String amendedFlag;


    public void setPartOfPanelTest( String partOfPanelTest )
    {
        this.partOfPanelTest = partOfPanelTest;
    }


    public String getPartOfPanelTest( )
    {
        return partOfPanelTest;
    }


    public boolean isPanelTest( )
    {
        return panelTest;
    }
    

    public void setPanelTest( boolean panelTest )
    {
        this.panelTest = panelTest;
    }


    public void setNltOrderedTestCode( String nltOrderedTestCode )
    {
        this.nltOrderedTestCode = nltOrderedTestCode;
    }


    public String getNltOrderedTestCode( )
    {
        return nltOrderedTestCode;
    }


    public void setNltReportedTestCode( String nltReportedTestCode )
    {
        this.nltReportedTestCode = nltReportedTestCode;
    }


    public String getNltReportedTestCode( )
    {
        return nltReportedTestCode;
    }


    public void setLoincCode( String loincCode )
    {
        this.loincCode = loincCode;
    }


    public String getLoincCode( )
    {
        return loincCode;
    }


    public void setSuffixReportedTestCode( String suffixReportedTestCode )
    {
        this.suffixReportedTestCode = suffixReportedTestCode;
    }


    public String getSuffixReportedTestCode( )
    {
        return suffixReportedTestCode;
    }


    public void setLabTestPointer( String labTestPointer )
    {
        this.labTestPointer = labTestPointer;
    }


    public String getLabTestPointer( )
    {
        return labTestPointer;
    }


    public void setObservationValue( String observationValue )
    {
        this.observationValue = observationValue;
    }


    public String getObservationValue( )
    {
        return observationValue;
    }


    public void setOrderedTestCode( String orderedTestCode )
    {
        this.orderedTestCode = orderedTestCode;
    }


    public String getOrderedTestCode( )
    {
        return orderedTestCode;
    }


    public void setTestIdentifier( String testIdentifier )
    {
        this.testIdentifier = testIdentifier;
    }


    public String getTestIdentifier( )
    {
        return testIdentifier;
    }


    public void setReferenceHigh( String referenceHigh )
    {
        this.referenceHigh = referenceHigh;
    }


    public String getReferenceHigh( )
    {
        return referenceHigh;
    }


    public void setReferenceLow( String referenceLow )
    {
        this.referenceLow = referenceLow;
    }


    public String getReferenceLow( )
    {
        return referenceLow;
    }


    public void setCriticalHigh( String criticalHigh )
    {
        this.criticalHigh = criticalHigh;
    }


    public String getCriticalHigh( )
    {
        return criticalHigh;
    }


    public void setCriticalLow( String criticalLow )
    {
        this.criticalLow = criticalLow;
    }


    public String getCriticalLow( )
    {
        return criticalLow;
    }


    public void setUnitsOfMeasure( String unitsOfMeasure )
    {
        this.unitsOfMeasure = unitsOfMeasure;
    }


    public String getUnitsOfMeasure( )
    {
        return unitsOfMeasure;
    }


    public void setSiteSpecimen( String siteSpecimen )
    {
        this.siteSpecimen = siteSpecimen;
    }


    public String getSiteSpecimen( )
    {
        return siteSpecimen;
    }


    public void setValueInterpretation( String valueInterpretation )
    {
        this.valueInterpretation = valueInterpretation;
    }


    public String getValueInterpretation( )
    {
        return valueInterpretation;
    }


    public void setPerormanceOrgCode( String perormanceOrgCode )
    {
        this.perormanceOrgCode = perormanceOrgCode;
    }


    public String getPerormanceOrgCode( )
    {
        return perormanceOrgCode;
    }


    public void setVerifier( String verifier )
    {
        this.verifier = verifier;
    }


    public String getVerifier( )
    {
        return verifier;
    }


    public void setAmendedFlag( String amendedFlag )
    {
        this.amendedFlag = amendedFlag;
    }


    public String getAmendedFlag( )
    {
        return amendedFlag;
    }
}
